@import 'variables';
@import './mixins/mixins.scss';

.topbar {
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
  color: $color-black;
  background-color: $color-white;
  display: flex;
  width: 100%;
  height: 60px;
  max-width: 100%;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom:1px solid lighten($color:$color-primary,$amount: 40);
  transition: all ease-in-out 0.5s;
  -webkit-transition: all ease-in-out 0.5s;
  -moz-transition: all ease-in-out 0.5s;
  -ms-transition: all ease-in-out 0.5s;
  -o-transition: all ease-in-out 0.5s;
}

.topbar_dark {
  background-color: $color-black;
  border-bottom-color: lighten($color:$color-black,$amount: 20);
  color: $color-white;
}

.scrolled{
  top: -200px;
}

.scrolledUp{
  top: 0;
}

.bar_wrapper {
  align-items: center;
  display: flex;
  margin: 0 auto;
  padding: 0 20px;
  width: 100%;
}

.bar_column {
  display: inline-block;
  line-height: 3;
  width: 70%;
  text-align: center;

  &:first-child {
    text-align: left;
    width: 15%;
  }
  &:last-child {
    text-align: right;
    width: 15%;
  }
}

.topbar_logo {

    // * new Style
    height: 35px;
    display: flex;

// * old stye
//   position: relative;
//   height: 35px;
//   top: 10px;
}

.icon_burger {
  height: auto;
  cursor: pointer;
  svg {
    position: relative;
    top: 2px;
  }
  &:hover {
    background-color: lighten($color: $color-primary, $amount: 45);
  }
}

.icon_burger_dark {
  &:hover {
    background-color: lighten($color: $color-black, $amount: 23);
  }
}

.icon_theme {
  height: auto;
  cursor: pointer;
  margin: 0;
  padding: 5px;
  @include set_border_radius(3px);
  svg {
    position: relative;
    width: 20px;
  }
  &:hover {
    background-color: lighten($color: $color-primary, $amount: 45);
  }
}

.icon_theme_dark {
  &:hover {
    background-color: lighten($color: $color-black, $amount: 23);
  }
}

.iconMoon {
  top: 1px;
  left: 1px;
}

.iconSun {
  top: 3px;
  left: 2px;
}

.header {
  align-items: center;
  color: $color-white;
  display: flex;
  margin: 0;
  width: 100%;
}

.wrapper {
  align-items: center;
  display: flex;
  margin: 0 auto;
  padding: 1.5rem 1rem;
  width: 100%;

  > div {
    display: inline-block;
    width: 33%;

    &:last-child {
      text-align: right;
    }
  }

  @media (min-width: $screen-md) {
    max-width: $screen-xlg;
  }
}

.logo {
  height: 1em;
  margin-left: 0.5rem;
  text-align: center;
}

.burger_menu {
  height: auto;
  cursor: pointer;
}

.bread_crumb {
  border: 2px solid $color-grey;
  width: 100%;

  > div {
    max-width: $max-width;
    margin: 0 auto;
    padding: 0.5rem 1rem;
  }

  span {
    &:not(:last-child):after {
      content: ' * ';
      vertical-align: middle;
    }
  }
}